%define upstream_name Eval-LineNumbers
%define upstream_version 0.34

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 8

Summary:    Add line numbers to hereis blocks that contain perl source code
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Time/MUIR/modules/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Exporter) >= 5.570.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildArch:  noarch

%{?perl_default_filter}

%description
This module adds a line number to hereis text that is going to be
eval'ed so that error messages will point back to the right place.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%{make}

%check
%{make} test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.340.0-8.mga8
+ Revision: 1494445
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.340.0-7.mga7
+ Revision: 1267860
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.340.0-6.mga6
+ Revision: 1026939
- Rebuild for perl 5.22.2

* Mon Feb 01 2016 umeabot <umeabot> 0.340.0-5.mga6
+ Revision: 930214
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.340.0-4.mga5
+ Revision: 745480
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 0.340.0-3.mga5
+ Revision: 732099
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 0.340.0-2.mga5
+ Revision: 684651
- Mageia 5 Mass Rebuild

* Thu Feb 06 2014 sander85 <sander85> 0.340.0-1.mga5
+ Revision: 584494
- update to 0.34

* Sat Oct 19 2013 umeabot <umeabot> 0.310.0-2.mga4
+ Revision: 531321
- Mageia 4 Mass Rebuild

* Sat Aug 03 2013 sander85 <sander85> 0.310.0-1.mga4
+ Revision: 463024
- imported package perl-Eval-LineNumbers

